org.apache.solr.common.params

## Interface AutoScalingParams

Deprecated.
to be removed in Solr 9.0 (see SOLR-14656)

    public interface AutoScalingParams

Requests parameters for autoscaling.

### Field Summary

Fields
`static String` `ABOVE` Deprecated.
`static String` `ACTION_THROTTLE_PERIOD_SECONDS` Deprecated.
`static String` `ACTIONS` Deprecated.
`static String` `AFTER_ACTION` Deprecated.
`static String` `BEFORE_ACTION` Deprecated.
`static String` `BELOW` Deprecated.
`static String` `CLASS` Deprecated.
`static String` `CMD_REMOVE_LISTENER` Deprecated.
`static String` `CMD_REMOVE_POLICY` Deprecated.
`static String` `CMD_REMOVE_TRIGGER` Deprecated.
`static String` `CMD_RESUME_TRIGGER` Deprecated.
`static String` `CMD_SET_CLUSTER_POLICY` Deprecated.
`static String` `CMD_SET_CLUSTER_PREFERENCES` Deprecated.
`static String` `CMD_SET_LISTENER` Deprecated.
`static String` `CMD_SET_POLICY` Deprecated.
`static String` `CMD_SET_PROPERTIES` Deprecated.
`static String` `CMD_SET_TRIGGER` Deprecated.
`static String` `CMD_SUSPEND_TRIGGER` Deprecated.
`static String` `COLLECTION` Deprecated.
`static String` `DIAGNOSTICS` Deprecated.
`static String` `ENABLED` Deprecated.
`static String` `EVENT` Deprecated.
`static String` `HANDLER` Deprecated.
`static String` `LOWER_BOUND` Deprecated.
`static String` `MAX_COMPUTE_OPERATIONS` Deprecated.
`static String` `METRIC` Deprecated.
`static String` `NAME` Deprecated.
`static String` `NODE` Deprecated.
`static String` `PREFERRED_OP` Deprecated.
`static String` `RATE` Deprecated.
`static String` `REMOVE_LISTENERS` Deprecated.
`static String` `REPLICA` Deprecated.
`static String` `REPLICA_TYPE` Deprecated.
`static String` `RESUME_AT` Deprecated.
`static String` `SHARD` Deprecated.
`static String` `STAGE` Deprecated.
`static String` `SUGGESTIONS` Deprecated.
`static String` `TIMEOUT` Deprecated.
`static String` `TRIGGER` Deprecated.
`static String` `TRIGGER_COOLDOWN_PERIOD_SECONDS` Deprecated.
`static String` `TRIGGER_CORE_POOL_SIZE` Deprecated.
`static String` `TRIGGER_SCHEDULE_DELAY_SECONDS` Deprecated.
`static String` `UPPER_BOUND` Deprecated.
`static String` `WAIT_FOR` Deprecated.
`static String` `ZK_VERSION` Deprecated.

### Field Detail

#### DIAGNOSTICS

    static final String DIAGNOSTICS

Deprecated.

See Also:
  Constant Field Values

#### SUGGESTIONS

    static final String SUGGESTIONS

Deprecated.

See Also:
  Constant Field Values

#### NAME

    static final String NAME

Deprecated.

See Also:
  Constant Field Values

#### TRIGGER

    static final String TRIGGER

Deprecated.

See Also:
  Constant Field Values

#### EVENT

    static final String EVENT

Deprecated.

See Also:
  Constant Field Values

#### ACTIONS

    static final String ACTIONS

Deprecated.

See Also:
  Constant Field Values

#### WAIT_FOR

    static final String WAIT_FOR

Deprecated.

See Also:
  Constant Field Values

#### LOWER_BOUND

    static final String LOWER_BOUND

Deprecated.

See Also:
  Constant Field Values

#### UPPER_BOUND

    static final String UPPER_BOUND

Deprecated.

See Also:
  Constant Field Values

#### STAGE

    static final String STAGE

Deprecated.

See Also:
  Constant Field Values

#### CLASS

    static final String CLASS

Deprecated.

See Also:
  Constant Field Values

#### ENABLED

    static final String ENABLED

Deprecated.

See Also:
  Constant Field Values

#### RESUME_AT

    static final String RESUME_AT

Deprecated.

See Also:
  Constant Field Values

#### BEFORE_ACTION

    static final String BEFORE_ACTION

Deprecated.

See Also:
  Constant Field Values

#### AFTER_ACTION

    static final String AFTER_ACTION

Deprecated.

See Also:
  Constant Field Values

#### TIMEOUT

    static final String TIMEOUT

Deprecated.

See Also:
  Constant Field Values

#### COLLECTION

    static final String COLLECTION

Deprecated.

See Also:
  Constant Field Values

#### SHARD

    static final String SHARD

Deprecated.

See Also:
  Constant Field Values

#### REPLICA

    static final String REPLICA

Deprecated.

See Also:
  Constant Field Values

#### NODE

    static final String NODE

Deprecated.

See Also:
  Constant Field Values

#### HANDLER

    static final String HANDLER

Deprecated.

See Also:
  Constant Field Values

#### RATE

    static final String RATE

Deprecated.

See Also:
  Constant Field Values

#### REMOVE_LISTENERS

    static final String REMOVE_LISTENERS

Deprecated.

See Also:
  Constant Field Values

#### ZK_VERSION

    static final String ZK_VERSION

Deprecated.

See Also:
  Constant Field Values

#### METRIC

    static final String METRIC

Deprecated.

See Also:
  Constant Field Values

#### ABOVE

    static final String ABOVE

Deprecated.

See Also:
  Constant Field Values

#### BELOW

    static final String BELOW

Deprecated.

See Also:
  Constant Field Values

#### PREFERRED_OP

    static final String PREFERRED_OP

Deprecated.

See Also:
  Constant Field Values

#### REPLICA_TYPE

    static final String REPLICA_TYPE

Deprecated.

See Also:
  Constant Field Values

#### CMD_SET_TRIGGER

    static final String CMD_SET_TRIGGER

Deprecated.

See Also:
  Constant Field Values

#### CMD_REMOVE_TRIGGER

    static final String CMD_REMOVE_TRIGGER

Deprecated.

See Also:
  Constant Field Values

#### CMD_SET_LISTENER

    static final String CMD_SET_LISTENER

Deprecated.

See Also:
  Constant Field Values

#### CMD_REMOVE_LISTENER

    static final String CMD_REMOVE_LISTENER

Deprecated.

See Also:
  Constant Field Values

#### CMD_SUSPEND_TRIGGER

    static final String CMD_SUSPEND_TRIGGER

Deprecated.

See Also:
  Constant Field Values

#### CMD_RESUME_TRIGGER

    static final String CMD_RESUME_TRIGGER

Deprecated.

See Also:
  Constant Field Values

#### CMD_SET_POLICY

    static final String CMD_SET_POLICY

Deprecated.

See Also:
  Constant Field Values

#### CMD_REMOVE_POLICY

    static final String CMD_REMOVE_POLICY

Deprecated.

See Also:
  Constant Field Values

#### CMD_SET_CLUSTER_PREFERENCES

    static final String CMD_SET_CLUSTER_PREFERENCES

Deprecated.

See Also:
  Constant Field Values

#### CMD_SET_CLUSTER_POLICY

    static final String CMD_SET_CLUSTER_POLICY

Deprecated.

See Also:
  Constant Field Values

#### CMD_SET_PROPERTIES

    static final String CMD_SET_PROPERTIES

Deprecated.

See Also:
  Constant Field Values

#### TRIGGER_SCHEDULE_DELAY_SECONDS

    static final String TRIGGER_SCHEDULE_DELAY_SECONDS

Deprecated.

See Also:
  Constant Field Values

#### TRIGGER_COOLDOWN_PERIOD_SECONDS

    static final String TRIGGER_COOLDOWN_PERIOD_SECONDS

Deprecated.

See Also:
  Constant Field Values

#### TRIGGER_CORE_POOL_SIZE

    static final String TRIGGER_CORE_POOL_SIZE

Deprecated.

See Also:
  Constant Field Values

#### MAX_COMPUTE_OPERATIONS

    static final String MAX_COMPUTE_OPERATIONS

Deprecated.

See Also:
  Constant Field Values

#### ACTION_THROTTLE_PERIOD_SECONDS

    @Deprecated
    static final String ACTION_THROTTLE_PERIOD_SECONDS

Deprecated.

See Also:
  Constant Field Values